<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>phpdoc.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../source/phpdoc.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>phpdoc.php</h1>
<hr>

<a name="line1"></a><pre>#!/usr/bin/php
<a name="line2"></a><?php
<a name="line3"></a>/*
<a name="line4"></a>PHPDoctor: The PHP Documentation Creator
<a name="line5"></a>Copyright (C) 2005 Paul James <paul@peej.co.uk>
<a name="line6"></a>
<a name="line7"></a>This program is free software; you can redistribute it and/or modify
<a name="line8"></a>it under the terms of the GNU General Public License as published by
<a name="line9"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line10"></a>(at your option) any later version.
<a name="line11"></a>
<a name="line12"></a>This program is distributed in the hope that it will be useful,
<a name="line13"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line14"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line15"></a>GNU General Public License for more details.
<a name="line16"></a>
<a name="line17"></a>You should have received a copy of the GNU General Public License
<a name="line18"></a>along with this program; if not, write to the Free Software
<a name="line19"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line20"></a>*/
<a name="line21"></a>
<a name="line22"></a>error_reporting(E_ALL & ~E_DEPRECATED);
<a name="line23"></a>
<a name="line24"></a>// check we are running from the command line
<a name="line25"></a>if (!isset($argv[0])) {
<a name="line26"></a>    die('This program must be run from the command line using the CLI version of PHP');
<a name="line27"></a>    
<a name="line28"></a>// check we are using the correct version of PHP
<a name="line29"></a>} elseif (!defined('T_COMMENT') || !extension_loaded('tokenizer') || version_compare(phpversion(), '4.3.0', '<')) {
<a name="line30"></a>    error('You need PHP version 4.3.0 or greater with the "tokenizer" extension to run this script, please upgrade');
<a name="line31"></a>    exit;
<a name="line32"></a>}
<a name="line33"></a>
<a name="line34"></a>// include PHPDoctor class
<a name="line35"></a>set_include_path(get_include_path() . PATH_SEPARATOR . dirname(__FILE__));
<a name="line36"></a>require('classes'.DIRECTORY_SEPARATOR.'phpDoctor.php');
<a name="line37"></a>
<a name="line38"></a>// get name of config file to use
<a name="line39"></a>if (!isset($argv[1])) {
<a name="line40"></a>    if (isset($_ENV['PHPDoctor'])) {
<a name="line41"></a>        $argv[1] = $_ENV['PHPDoctor'];
<a name="line42"></a>    } elseif (is_file('default.ini')) {
<a name="line43"></a>        phpDoctor::warning('Using default config file "default.ini"');
<a name="line44"></a>        $argv[1] = 'default.ini';
<a name="line45"></a>    } else {
<a name="line46"></a>        phpDoctor::error('Usage: phpdoc.php [config_file]');
<a name="line47"></a>        exit;
<a name="line48"></a>    }
<a name="line49"></a>}
<a name="line50"></a>
<a name="line51"></a>$phpdoc =& new phpDoctor($argv[1]);
<a name="line52"></a>
<a name="line53"></a>$rootDoc =& $phpdoc->parse();
<a name="line54"></a>
<a name="line55"></a>$phpdoc->execute($rootDoc);
<a name="line56"></a>
<a name="line57"></a>?>
<a name="line58"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../source/phpdoc.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>